Redmine website using a deprecated TLS version for encryption 

2020-01-08 16:15 - Fernando Hartmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Firefox 73 (beta) started to deprecate TLS 1.0 and TLS 1.1 versions.

Accessing Redmine Website with FF 73, generates the following warning
For now user can choose to use deprecated versions, but next releases will permanently disable this  TLS versions

Google Chrome will do the same

History

#1 - 2020-01-10 03:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

www.redmine.org now supports TLS 1.2.

$ curl --tlsv1.2 --head https://www.redmine.org/

HTTP/1.1 200 OK

Date: Fri, 10 Jan 2020 02:15:59 GMT

Server: Apache

X-UA-Compatible: IE=Edge,chrome=1
https://www.ghacks.net/2019/10/02/tls-1-0-and-1-1-deprecation-chrome-to-display-your-connection-is-not-fully-secure-warnings/
